using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight;

namespace C1_Demo
{
	public partial class ClearStyleWindow 
		: UserControl
	{
		public ClearStyleWindow()
		{
			InitializeComponent();
		}

		#region ** ClearStyle properties

		public Brush DEMO_Background
		{
			get
			{
				return window.Background;
			}
			set
			{
				window.Background = value;
			}
		}

		public Brush DEMO_Foreground
		{
			get
			{
				return window.Foreground;
			}
			set
			{
				window.Foreground = value;
			}
		}

		public Brush DEMO_BorderBrush
		{
			get
			{
				return window.BorderBrush;
			}
			set
			{
				window.BorderBrush = value;
			}
		}

		public Brush MouseOverBrush
		{
			get
			{
				return window.MouseOverBrush;
			}
			set
			{
				window.MouseOverBrush = value;
			}
		}

		public Brush PressedBrush
		{
			get
			{
				return window.PressedBrush;
			}
			set
			{
				window.PressedBrush = value;
			}
		}

		public Brush HeaderBackground
		{
			get
			{
				return window.HeaderBackground;
			}
			set
			{
				window.HeaderBackground = value;
			}
		}

		public Brush HeaderForeground
		{
			get
			{
				return window.HeaderForeground;
			}
			set
			{
				window.HeaderForeground = value;
			}
		}

		public Brush ButtonBackground
		{
			get
			{
				return window.ButtonBackground;
			}
			set
			{
				window.ButtonBackground = value;
			}
		}

		public Brush ButtonForeground
		{
			get
			{
				return window.ButtonForeground;
			}
			set
			{
				window.ButtonForeground = value;
			}
		}
		#endregion
	}
}
